﻿using System;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.radioGroup.Properties.AddEnum<Day>(new Converter<Day, string>(GetDayString));

            this.radioGroup.SelectedIndex = 1;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 요일 문자열 구하기 - GetDayString(day)

        /// <summary>
        /// 요일 문자열 구하기
        /// </summary>
        /// <param name="day">요일</param>
        /// <returns>요일 문자열</returns>
        private string GetDayString(Day day)
        {
            Type type = day.GetType();

            Type underlyingType = Enum.GetUnderlyingType(type);

            string result = Convert.ChangeType(day, underlyingType).ToString() + ". " + day.ToString();

            if(day == Day.Sat || day == Day.Sun)
            {
                result += " (weekend)";
            }

            return result;
        }

        #endregion
    }
}